TrafficLogger (RabbIT/4)
Date: 2009-12-20

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rabbit.util
Interface TrafficLogger

All Known Implementing Classes:
  SimpleTrafficLogger

    public interface TrafficLogger

A traffic logger interface.

Author:
  Robert Olofsson

Method Summary
`void` | `addTo(TrafficLogger other)` Add the current log into the other TrafficLogger.
`void` | `clear()` Clear the current log.
`long` | `read()` Get the number of read bytes
`void` | `read(long read)` Log a read
`long` | `transferFrom()` Get the number of bytes transferred from this resource.
`void` | `transferFrom(long transferred)` Log a file transfer.
`long` | `transferTo()` Get the number of bytes transferred to this resourse.
`void` | `transferTo(long transferred)` Lot a file transfer.
`long` | `write()` Get the number of written bytes.
`void` | `write(long written)` Log a write

Method Detail

### read

    void read(long read)

  Log a read

  Parameters:
    `read` - the number of bytes read.

### read

    long read()

  Get the number of read bytes

### write

    void write(long written)

  Log a write

  Parameters:
    `written` - the number of bytes written.

### write

    long write()

  Get the number of written bytes.

### transferFrom

    void transferFrom(long transferred)

  Log a file transfer.

  Parameters:
    `transferred` - the number of bytes transferred.

### transferFrom

    long transferFrom()

  Get the number of bytes transferred from this resource.

### transferTo

    void transferTo(long transferred)

  Lot a file transfer.

  Parameters:
    `transferred` - the number of bytes transferred.

### transferTo

    long transferTo()

  Get the number of bytes transferred to this resourse.

### clear

    void clear()

  Clear the current log.

### addTo

    void addTo(TrafficLogger other)

  Add the current log into the other TrafficLogger.

  Parameters:
    `other` - the traffic logger to add this statistics

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD